Bug 256242 - mail/fetchmail: update to 6.4.19, fix dependency pollution bug in fetchmailconf's Makefile
Summary: mail/fetchmail: update to 6.4.19, fix dependency pollution bug in fetchmailco...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-05-29 12:28 UTC by Matthias Andree
Modified: 2021-06-01 16:48 UTC (History)
1 user (show)

See Also:
mandree: maintainer-feedback+


Attachments
updates fetchmail to 6.4.19 (1.51 KB, patch)
2021-05-29 12:28 UTC, Matthias Andree
no flags Details | Diff
2 - avoids pollution fetchmailconf's RUN_DEPENDS with ccache or other BUILD_DEP's (1.22 KB, patch)
2021-05-29 12:29 UTC, Matthias Andree
chalpin: maintainer-approval+
Details | Diff
1 - fetchmail update to 6.4.19 (now with proper changelog) (1.71 KB, patch)
2021-05-29 12:40 UTC, Matthias Andree
chalpin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2021-05-29 12:28:26 UTC
Created attachment 225355 [details]
updates fetchmail to 6.4.19

The attached two patches do the following:

1. 0001* updates fetchmail to 6.4.19, see patch for details
2. 0002* avoids ccache or other pollution in RUN_DEPENDS in fetchmailconf.
Comment 1 Matthias Andree freebsd_committer 2021-05-29 12:29:03 UTC
Created attachment 225356 [details]
2 - avoids pollution fetchmailconf's RUN_DEPENDS with ccache or other BUILD_DEP's
Comment 2 Matthias Andree freebsd_committer 2021-05-29 12:40:27 UTC
Created attachment 225358 [details]
1 - fetchmail update to 6.4.19 (now with proper changelog)
Comment 3 Corey Halpin 2021-05-31 19:05:10 UTC
Both patches have an initial hunk that `patch` did not know how to handle. After removing that, both applied cleanly.

mail/fetchmail passes `poudriere testport` on both amd64 and i386 under 13.0, 12.2, and 11.4 for the following configurations:
  - Default settings 
  - ssl=base, GSSAPI_MIT
  - ssl=base, GSSAPI_NONE
  - ssl=openssl
  - ssl=openssl with SSL2 and SSL3 disabled
  - ssl=openssl, GSSAPI_NONE
  - ssl=libressl
  - ssl=libressl, GSSAPI_NONE

mail/fetchmailconf passes `poudriere testport` on both amd64 and i386 under 13.0, 12.2, and 11.4 with default settings.


I also tested a 'build as non-root' configuration. It passed under 12.2/amd64, 12.2/i386, 11.4/amd64, and 11.4/i386 but encountered a build failure in indexinfo-0.3.1 (which was pulled in as a dependency of gmake) on 13.0/amd64 and 13.0/i486; I suspect this is an issue with my `poudriere` configuration rather than any genuine issue in either indexinfo or fetchmail. I do not think this update needs to wait while I debug my configuration.

When installed, the built package works nicely in my testing.

Assuming that trimming off the initial hunk that confused `patch` was the right thing, then I approve the resulting change.

Thank you!
Comment 4 Corey Halpin 2021-05-31 19:10:43 UTC
Oh... Interesting. The extra hunk appears when I click "Diff" next to each patch, then "Raw Unified". When I click the patch itself then no such incorrect hunk exists. So it seems like maybe this is an issue with the "Raw Unified" feature on Bugzilla and not any problem with the files themselves.
Comment 5 Matthias Andree freebsd_committer 2021-06-01 16:41:05 UTC
(In reply to Corey Halpin from comment #3)
Hi Corey,

the banner or header of the patches is meant for "git am" and is to include the commit log, I've generated them with: git format-patch HEAD~2..

Thanks for your reviews.
Comment 6 commit-hook freebsd_committer 2021-06-01 16:48:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=58cb56664fb02e860bde94b2bedb080d7778b60a

commit 58cb56664fb02e860bde94b2bedb080d7778b60a
Author:     Matthias Andree <mandree@FreeBSD.org>
AuthorDate: 2021-05-29 12:24:56 +0000
Commit:     Matthias Andree <mandree@FreeBSD.org>
CommitDate: 2021-06-01 16:46:28 +0000

    mail/fetchmailconf: avoid polluting BUILD_DEPENDS

    The RUN_DEPENDS+=BUILD_DEPENDS may pull ccache in as run-time requisite,
    so let's flip the assignments and make BUILD_DEPENDS use RUN_DEPENDS to
    avoid just this pollution.

    PR:             256242
    Approved by:    Corey Halpin (maintainer)

 mail/fetchmailconf/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-06-01 16:48:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9bf40d7c50b665db38a19e0065a16a26be0e3aaa

commit 9bf40d7c50b665db38a19e0065a16a26be0e3aaa
Author:     Matthias Andree <mandree@FreeBSD.org>
AuthorDate: 2021-05-29 12:22:06 +0000
Commit:     Matthias Andree <mandree@FreeBSD.org>
CommitDate: 2021-06-01 16:46:05 +0000

    mail/fetchmail: update to 6.4.19

    * CHANGE: fetchmailconf: properly catch and report option parsing errors

    * BUG FIX: LMTP: do not try to validate the last component of a
      UNIX-domain LMTP socket as though it were a TCP port.  Reported by
      Christoph Heitkamp, Gitlab issue #33.

    * TRANSLATION UPDATE: This fine person has contributed an updated
      translation:
    - sr:    ÐиÑоÑлав ÐÐ¸ÐºÐ¾Ð»Ð¸Ñ (Miroslav NikoliÄ) [Serbian]

    PR:             256242
    Approved by:    Corey Halpin (maintainer)

 mail/fetchmail/Makefile | 2 +-
 mail/fetchmail/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)